import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizarea/` + url, ...arg)

/**
 * 区域信息Api接口管理器
 *
 * @author fanzherong
 * @date  2025/02/17 08:54
 **/
export default {
	// 获取区域信息分页
	bizAreaPage(data) {
		return request('page', data, 'get')
	},
	// 获取区域信息列表
	bizAreaList(data) {
		return request('list', data, 'get')
	},
	// 提交区域信息表单 edit为true时为编辑，默认为新增
	bizAreaSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除区域信息
	bizAreaDelete(data) {
		return request('delete', data)
	},
	// 获取区域信息详情
	bizAreaDetail(data) {
		return request('detail', data, 'get')
	},
	bizAreaList(data){
		return request('areaList',data,'get')
	}
}
